org.keycloak.credential

## Interface CredentialInputUpdater.Streams

- All Superinterfaces:
    CredentialInputUpdater
  All Known Implementing Classes:
    KerberosFederationProvider, LDAPStorageProvider, PasswordCredentialProvider, SSSDFederationProvider
  Enclosing interface:
    CredentialInputUpdater

      public static interface CredentialInputUpdater.Streams
      extends CredentialInputUpdater

  The `CredentialInputUpdater.Streams` interface makes all collection-based methods in `CredentialInputUpdater` default by providing implementations that delegate to the `Stream`-based variants instead of the other way around.

  It allows for implementations to focus on the `Stream`-based approach for processing sets of data and benefit from the potential memory and performance optimizations of that approach.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.credential.CredentialInputUpdater

      `CredentialInputUpdater.Streams`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Set<String>` | `getDisableableCredentialTypes(RealmModel realm, UserModel user)` Returns a set of credential types that can be disabled by disableCredentialType() method
    `Stream<String>` | `getDisableableCredentialTypesStream(RealmModel realm, UserModel user)` Obtains the set of credential types that can be disabled via `disableCredentialType`.

    - ### Methods inherited from interface org.keycloak.credential.CredentialInputUpdater

      `disableCredentialType, supportsCredentialType, updateCredential`

- - ### Method Detail

    - #### getDisableableCredentialTypes

          default Set<String> getDisableableCredentialTypes(RealmModel realm,
                                                            UserModel user)

      Description copied from interface: `CredentialInputUpdater`
      Returns a set of credential types that can be disabled by disableCredentialType() method
      Specified by:
        `getDisableableCredentialTypes` in interface `CredentialInputUpdater`
      Returns:

    - #### getDisableableCredentialTypesStream

          Stream<String> getDisableableCredentialTypesStream(RealmModel realm,
                                                             UserModel user)

      Description copied from interface: `CredentialInputUpdater`
      Obtains the set of credential types that can be disabled via `disableCredentialType`.
      Specified by:
        `getDisableableCredentialTypesStream` in interface `CredentialInputUpdater`
      Parameters:
        `realm` - a reference to the realm.
        `user` - the user whose credentials are being searched.
      Returns:
        a non-null `Stream` of credential types.

Copyright © 2021 JBoss by Red Hat. All rights reserved.